Bug 200552 - kernel panic on cat /proc/net/ip_conntrack_expect
kernel panic on cat /proc/net/ip_conntrack_expect
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-28 12:46 EDT by Mark Tinberg
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-08 14:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
iptables lokkit config (4.60 KB, application/octet-stream)
2006-07-31 13:10 EDT, Mark Tinberg
no flags Details

  None (edit)
Description Mark Tinberg 2006-07-28 12:46:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/418.8 (KHTML, like Gecko) Safari/419.3

Description of problem:
Unexpected kernel panic when I tried looking at contrack data using the command 

 cat /proc/net/ip_conntrack_expect

Unfortunately I needed this system up immediately and did not write out the kerenl panic data although it 
did seem to be related to accessessing this file in /proc.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:

Actual Results:

Expected Results:

Additional info:
System is a Dell PE 2850 with a single 2.8GHz Xeon with HT enabled. and 1GB RAM
Comment 2 Neil Horman 2006-07-31 09:13:39 EDT
Its not solely related to accessing the proc file, as I'm able to read the file
here without reproducing the problem.  Its most likely, given that this file is
protected by two rwlocks, that this is a race generated by trying to read the
file while receiving packets with the filter configured.  Can you provide your
iptables  configuration?  Also, would you be able to reproduce the problem while
running a custom kernel with CONFIG_NETFILTER_DEBUG enabled?
Comment 3 Mark Tinberg 2006-07-31 13:10:02 EDT
Created attachment 133333 [details]
iptables lokkit config

contents of /etc/sysconfig/iptables on affected machine
Comment 4 Mark Tinberg 2006-07-31 13:17:22 EDT
Unfortunately I cannot reproduce this on the referenced machine as it is a production server.
Comment 5 Neil Horman 2006-07-31 13:34:41 EDT
Thank you for the iptables config.  If you can in any way manage to reproduce
that oops, it would be helpful to me.  I'm going to try to reproduce here, but
unless I can, there likely won't be much I can do for this bug.

Comment 7 Neil Horman 2006-10-23 15:45:57 EDT
     I'm not sure if you are able, but if you have a test machine that you can
reproduce this on, could you please test against the RHEL5 beta release?  That
would help me narrow down if the above patches apply to this bug you are seeing,
as I am still unable to reproduce.

Note You need to log in before you can comment on or make changes to this bug.